# base_config: configs/eeg_2ch/pulse.yaml
model_args:
  time_vary_args:

    pool_denom: [1, 2, 10, 25, 50, 100] # this will have to be set inside the hparam generator


  init_args:
    in_proj_kernel_size: [3, 5, 11]
    in_proj_dilation: 2
    hidden_dim: [64, 128]
    emb_dim: [8, 16]


  augmentation_args:
    n_init_samples: [1,3]

# optimizer settings
training_args:
  epochs: [50, 100, 200]
  batch_size: 128
  lr: [0.001, 0.0005, 0.0001]
